CVE-2003-0024
CVSS7.5
发布时间 :2003-03-03 00:00:00
修订时间 :2016-10-17 22:28:29
NMCS    

[原文]The menuBar feature in aterm 0.42 allows attackers to modify menu options and execute arbitrary commands via a certain character escape sequence that inserts the commands into the menu.


[CNNVD]ATerm菜单栏转义序列命令执行漏洞(CNNVD-200303-028)

        
        转义序列(escape sequence)是一系列由ASCII转义字符(0x1B)开始的字符序列,并附带特殊的参数构成,转义序列一般原用于控制显示设备如终端,现在扩展在大多数操作系统中允许多种形式的交互。转义序列可以用于更改文本属性(颜色,宽度),移动鼠标位置,重配置键盘,更新窗口标题,或者操作打印机等。
        ATerm终端模拟器的菜单栏由于没有检查用户插入的转义字符,远程攻击者可以利用这个漏洞在菜单条目中插入任意转义序列字符而以执行用户权限执行任意命令。
        Aterm支持菜单栏,这个功能允许用户使用菜单配置文件和转义序列来建议下拉菜单,任何用户如果能够显示数据在终端上,就可以修改菜单条目,通过在菜单条目中插入转义序列,可靠导致以执行用户权限在系统上执行任意命令。这类攻击很依靠社会工程学来进行欺骗执行。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0024
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0024
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200303-028
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/vulnwatch/2003-q1/0093.html
(VENDOR_ADVISORY)  VULNWATCH  20030224 Terminal Emulator Security Issues
http://marc.info/?l=bugtraq&m=104612710031920&w=2
(UNKNOWN)  BUGTRAQ  20030224 Terminal Emulator Security Issues
http://www.iss.net/security_center/static/11416.php
(VENDOR_ADVISORY)  XF  terminal-emulator-menu-modification(11416)
http://www.securityfocus.com/bid/6949
(UNKNOWN)  BID  6949

- 漏洞信息

ATerm菜单栏转义序列命令执行漏洞
高危 设计错误
2003-03-03 00:00:00 2005-05-13 00:00:00
远程  
        
        转义序列(escape sequence)是一系列由ASCII转义字符(0x1B)开始的字符序列,并附带特殊的参数构成,转义序列一般原用于控制显示设备如终端,现在扩展在大多数操作系统中允许多种形式的交互。转义序列可以用于更改文本属性(颜色,宽度),移动鼠标位置,重配置键盘,更新窗口标题,或者操作打印机等。
        ATerm终端模拟器的菜单栏由于没有检查用户插入的转义字符,远程攻击者可以利用这个漏洞在菜单条目中插入任意转义序列字符而以执行用户权限执行任意命令。
        Aterm支持菜单栏,这个功能允许用户使用菜单配置文件和转义序列来建议下拉菜单,任何用户如果能够显示数据在终端上,就可以修改菜单条目,通过在菜单条目中插入转义序列,可靠导致以执行用户权限在系统上执行任意命令。这类攻击很依靠社会工程学来进行欺骗执行。
        

- 公告与补丁

        厂商补丁:
        Aterm
        -----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://aterm.sourceforge.net/

- 漏洞信息

ATerm Menu Bar Escape Sequence Command Execution Vulnerability
Design Error 6949
Yes No
2003-02-24 12:00:00 2009-07-11 08:06:00
Discovery of these issues is credited to H D Moore and Digital Defense.

- 受影响的程序版本

aterm aterm 0.4.2

- 漏洞讨论

aterm's MenuBar feature may be abused to execute arbitrary commands. Menu items may be added to the terminal emulator which contain arbitrary commands. If this menu item is later accessed by the terminal user, the arbitrary commands may be executed.

It is possible to exploit this issue if an attacker can cause malicious escape sequences to be displayed in a terminal window of a vulnerable terminal emulator.

- 漏洞利用

There is no exploit code required.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站